package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierOrderListRequest struct {
	/*
	   查询参数     */
	SupplierOrderQueryRequest *domain.AlibabaWdkSupplierOrderListSupplierOrderQueryRequest `json:"supplier_order_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkSupplierOrderListRequest) SetSupplierOrderQueryRequest(v domain.AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) *AlibabaWdkSupplierOrderListRequest {
	s.SupplierOrderQueryRequest = &v
	return s
}

func (req *AlibabaWdkSupplierOrderListRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SupplierOrderQueryRequest != nil {
		paramMap["supplier_order_query_request"] = util.ConvertStruct(*req.SupplierOrderQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkSupplierOrderListRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
